
Foreman - Bug #11705

hosts added through fact upload set FQDN to eth instead of bond interface

09/07/2015 04:00 AM - Alex Balk

Status: New   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When discovering a host via fact upload (say, through chef plugin), hosts get added with the FQDN set to the eth interface rather

than the bond interface.

It would be great if the FQDN could be set on the bond interface instead, for example by adding facts that map bond master to its eth

slaves, or checking which eth holds the IP that the FQDN resolves to.

Related issues:

Related to Foreman - Bug #13024: Bond0 and eth0 share IP causing duplicate IP... New 01/06/2016

History

#1 - 09/07/2015 04:01 AM - Dominic Cleal

- Category set to Network

#2 - 05/20/2017 08:00 AM - Anonymous

- Related to Bug #13024: Bond0 and eth0 share IP causing duplicate IP conflict when bond0 is created after kickstart and subsequently imported
